---
id: 6140d2b687a2cd17bac5730c
title: Step 12
challengeType: 0
dashedName: step-12
---

# --description--

Give the `.cabin` a `position` of `absolute`, and a `border` of `2px solid`.

# --hints--

Your `.cabin` selector should have a `position` property set to `absolute`.

```js
assert.strictEqual(new __helpers.CSSHelp(document).getStyle('.cabin')?.position, 'absolute');
```

Your `.cabin` selector should have a `border` property set to `2px solid`.

```js
assert.strictEqual(new __helpers.CSSHelp(document).getStyle('.cabin')?.border, '2px solid');
```

# --seed--

## --seed-contents--

```html
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <title>Ferris Wheel</title>
    <link rel="stylesheet" href="./styles.css">
  </head>
  <body>
    <div class="wheel">
      <span class="line"></span>
      <span class="line"></span>
      <span class="line"></span>
      <span class="line"></span>
      <span class="line"></span>
      <span class="line"></span>

      <div class="cabin"></div>
      <div class="cabin"></div>
      <div class="cabin"></div>
      <div class="cabin"></div>
      <div class="cabin"></div>
      <div class="cabin"></div>
    </div>
  </body>
</html>
```

```css
.wheel {
  border: 2px solid black;
  border-radius: 50%;
  margin-left: 50px;
  position: absolute;
  height: 55vw;
  width: 55vw;
  max-width: 500px;
  max-height: 500px;
}

.line {
  background-color: black;
  width: 50%;
  height: 2px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform-origin: 0% 0%;
}

.line:nth-of-type(2) {
  transform: rotate(60deg);
}
.line:nth-of-type(3) {
  transform: rotate(120deg);
}
.line:nth-of-type(4) {
  transform: rotate(180deg);
}
.line:nth-of-type(5) {
  transform: rotate(240deg);
}
.line:nth-of-type(6) {
  transform: rotate(300deg);
}

--fcc-editable-region--
.cabin {
  background-color: red;
  width: 20%;
  height: 20%;
}
--fcc-editable-region--
```
